package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 分值配置
 * </p>
 *
 * @author gejiang
 * @since 2023-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="IntegralScore对象", description="分值配置")
public class IntegralScore extends Model<IntegralScore> {

    private static final long serialVersionUID=1L;

    @TableId(value = "score_id", type = IdType.ID_WORKER_STR)
    private String scoreId;

    @ApiModelProperty(value = "初始分值设置")
    private Integer initialNum;

    @ApiModelProperty(value = "初始等级")
    private Integer gradeNum;

    @ApiModelProperty(value = "初始服务分")
    private Integer serviceNum;

    @ApiModelProperty(value = "初始质量分值")
    private Integer qualityNum;

    @ApiModelProperty(value = "初始技能分值")
    private Integer skillNum;

    @ApiModelProperty(value = "完成工单分值")
    private Integer orderNum;

    @ApiModelProperty(value = "反馈时间内")
    private Integer backNum;

    @ApiModelProperty(value = "反馈时间内获得的分值")
    private Integer backBranch;

    @ApiModelProperty(value = "反馈时间外")
    private Integer backNoNum;

    @ApiModelProperty(value = "反馈时间外获得的分值")
    private Integer backNoBranch;

    @ApiModelProperty(value = "接收时间内")
    private Integer receiveNum;

    @ApiModelProperty(value = "接收时间内获得分值")
    private Integer receiveBranch;

    @ApiModelProperty(value = "接收时间外")
    private Integer receiveNoNum;

    @ApiModelProperty(value = "接收时间外获得分值")
    private Integer receiveNoBranch;

    @ApiModelProperty(value = "准时签到分值")
    private Integer makeBranch;

    @ApiModelProperty(value = "超时签到分值")
    private Integer makeNoBranch;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "每月加分")
    private Integer startNum;

    @ApiModelProperty(value = "拥有大类或技能")
    private Integer haveSkillNum;

    @ApiModelProperty(value = "拥有证件")
    private Integer haveCardNum;

    @ApiModelProperty(value = "拥有工具")
    private Integer haveToolNum;

    @ApiModelProperty(value = "拥有资质")
    private Integer haveQualificationNum;

    @ApiModelProperty(value = "满意")
    private Integer satisfiedNum;

    @ApiModelProperty(value = "不满意")
    private Integer dissatisfiedNum;

    @ApiModelProperty(value = "一般")
    private Integer commonlyNum;

    @ApiModelProperty(value = "创建人（制单人）")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.scoreId;
    }

}
