package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 师傅证件/附件
 * </p>
 *
 * @author gejiang
 * @since 2023-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="WorkerCert对象", description="师傅证件/附件")
public class WorkerCert extends Model<WorkerCert> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "师傅id")
    private String workerId;

    @ApiModelProperty(value = "证件名称")
    private String certName;

    @ApiModelProperty(value = "证件地址(正面)")
    private String fileUrl;

    @ApiModelProperty(value = "证件地址(反面)")
    private String fileUrl2;

    @ApiModelProperty(value = "证件号码")
    private String certNo;

    @ApiModelProperty(value = "待变更的证件地址(正面)(审核通过后会将该字段覆盖到证件地址上)")
    private String newFileUrl;

    @ApiModelProperty(value = "待变更的证件地址(反面)(审核通过后会将该字段覆盖到证件地址上)")
    private String newFileUrl2;

    @ApiModelProperty(value = "新证件号码(审核通过后会将该字段覆盖到证件地址上)")
    private String newCertNo;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "有效日期")
    private Date expireTime;

    @ApiModelProperty(value = "新有效日期")
    private Date newExpireTime;

    @ApiModelProperty(value = "复核日期")
    private Date reviewTime;

    @ApiModelProperty(value = "新复核日期")
    private Date newReviewTime;

    @ApiModelProperty(value = "true=证件 false=附件")
    private Boolean isCert;

    @ApiModelProperty(value = "审核状态 WAIT=待审核 OK=通过  FAIL=不通过")
    private String examineStatus;

    @ApiModelProperty(value = "身份证名称(身份证证件专属字段)")
    private String name;

    @ApiModelProperty(value = "身份证性别(身份证证件专属字段)")
    private String sex;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
